<template>
  <the-main-layout>
    <template #header>
      <the-header />
    </template>
    <template #page-title>
      <the-page-title>{{ $route.meta.title }}</the-page-title>
    </template>
    <template #main-content>
      <main class="content">
        <router-view></router-view>
      </main>
    </template>
    <template #footer>
      <the-footer></the-footer>
    </template>
  </the-main-layout>
</template>

<script lang="ts">
import Vue from "vue";
// components
import {
  TheMainLayout,
  TheHeader,
  TheFooter,
  ThePageTitle
} from "../components/layout";
// utils
import { upperCaseString } from "../utils/text";

export default Vue.extend({
  name: "Root",
  components: {
    TheMainLayout,
    TheHeader,
    TheFooter,
    ThePageTitle
  }
});
</script>
